Package org.springframework.beans.factory

# Class BeanCurrentlyInCreationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException
org.springframework.beans.FatalBeanException
org.springframework.beans.factory.BeanCreationException
org.springframework.beans.factory.BeanCurrentlyInCreationException

All Implemented Interfaces:
  `Serializable`

public class BeanCurrentlyInCreationException extends BeanCreationException
Exception thrown in case of a reference to a bean that's currently in creation. Typically happens when constructor autowiring matches the currently constructed bean.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BeanCurrentlyInCreationException(String beanName)`
Create a new BeanCurrentlyInCreationException, with a default error message that indicates a circular reference.
`BeanCurrentlyInCreationException(String beanName, String msg)`
Create a new BeanCurrentlyInCreationException.

## Method Summary

### Methods inherited from class org.springframework.beans.factory.BeanCreationException

`addRelatedCause, contains, getBeanName, getRelatedCauses, getResourceDescription, printStackTrace, printStackTrace, toString`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BeanCurrentlyInCreationException

public BeanCurrentlyInCreationException(String beanName)
Create a new BeanCurrentlyInCreationException, with a default error message that indicates a circular reference.

Parameters:
  `beanName` - the name of the bean requested

### BeanCurrentlyInCreationException

public BeanCurrentlyInCreationException(String beanName, String msg)
Create a new BeanCurrentlyInCreationException.

Parameters:
  `beanName` - the name of the bean requested
  `msg` - the detail message